Package org.apache.tools.ant.types

# Class DTDLocation

java.lang.Object
org.apache.tools.ant.types.ResourceLocation
org.apache.tools.ant.types.DTDLocation

Direct Known Subclasses:
  `EjbJar.DTDLocation`

public class DTDLocation extends ResourceLocation

Helper class to handle the DTD nested element. Instances of this class correspond to the `PUBLIC` catalog entry type of the OASIS "Open Catalog" standard.

Possible Future Enhancement: Bring the Ant element name into conformance with the OASIS standard.

See Also:
  - `Catalog`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DTDLocation()`

- ## Method Summary

  ### Methods inherited from class org.apache.tools.ant.types.ResourceLocation

  `getBase, getLocation, getPublicId, setBase, setLocation, setPublicId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DTDLocation

    public DTDLocation()